import * as react_jsx_runtime from 'react/jsx-runtime';
import { NFTCollectionViewProps, NFTDetailProps, Crossmint, createCrossmint } from '@crossmint/common-sdk-base';
import { CrossmintEmbeddedCheckoutProps, CrossmintPayButtonProps } from '@crossmint/client-sdk-base';
export { CrossmintEvent, CrossmintEventMap, CrossmintEvents, useCrossmintEvents } from '@crossmint/client-sdk-base';
import * as react from 'react';
import { MouseEvent, CSSProperties, ReactNode } from 'react';
import * as _crossmint_client_sdk_smart_wallet from '@crossmint/client-sdk-smart-wallet';
import { EVMSmartWallet, SmartWalletError } from '@crossmint/client-sdk-smart-wallet';
export { Chain, EVMSmartWallet } from '@crossmint/client-sdk-smart-wallet';
export { useAuth } from '@crossmint/client-sdk-auth-core/client';

declare function CrossmintNFTCollectionView(props: NFTCollectionViewProps): react_jsx_runtime.JSX.Element;

declare function CrossmintNFTDetail(props: NFTDetailProps): react_jsx_runtime.JSX.Element;

declare function CrossmintPaymentElement(props: CrossmintEmbeddedCheckoutProps): react_jsx_runtime.JSX.Element;

type CrossmintPayButtonReactProps = CrossmintPayButtonProps & {
    onClick?: (e: MouseEvent<HTMLButtonElement>) => void;
    style?: CSSProperties;
};
declare function CrossmintPayButton(buttonProps: CrossmintPayButtonReactProps): react_jsx_runtime.JSX.Element;

interface CrossmintContext {
    crossmint: Crossmint;
    setJwt: (jwt: string | undefined) => void;
}
declare function CrossmintProvider({ children, ...createCrossmintParams }: {
    children: ReactNode;
} & Parameters<typeof createCrossmint>[0]): react_jsx_runtime.JSX.Element;
declare function useCrossmint(missingContextMessage?: string): CrossmintContext;

declare function useWallet(): {
    status: "not-loaded" | "in-progress" | "loaded" | "loading-error";
    wallet?: _crossmint_client_sdk_smart_wallet.EVMSmartWallet;
    error?: _crossmint_client_sdk_smart_wallet.SmartWalletError;
    getOrCreateWallet: () => Promise<void>;
};

type CrossmintWalletConfig = {
    type: "evm-smart-wallet";
    defaultChain: "polygon-amoy" | "base-sepolia" | "optimism-sepolia" | "arbitrum-sepolia";
    createOnLogin: "all-users" | "off";
};
type WalletStatus = "not-loaded" | "in-progress" | "loaded" | "loading-error";
type WalletContext = {
    status: WalletStatus;
    wallet?: EVMSmartWallet;
    error?: SmartWalletError;
    getOrCreateWallet: () => Promise<void>;
};
declare const WalletContext: react.Context<WalletContext>;
declare function CrossmintWalletProvider({ children, config }: {
    config: CrossmintWalletConfig;
    children: ReactNode;
}): react_jsx_runtime.JSX.Element;

declare function CrossmintAuthProvider({ embeddedWallets, children, }: {
    embeddedWallets: CrossmintWalletConfig;
    children: ReactNode;
}): react_jsx_runtime.JSX.Element;

export { CrossmintAuthProvider, type CrossmintContext, CrossmintNFTCollectionView, CrossmintNFTDetail, CrossmintPayButton, type CrossmintPayButtonReactProps, CrossmintPaymentElement, CrossmintProvider, type CrossmintWalletConfig, CrossmintWalletProvider, WalletContext, useCrossmint, useWallet };
